Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003319KdenliveBuild Systempublic2014-06-09 06:192014-08-19 23:10
ReporterGMaq 
Assigned Tovpinon 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDebian SqueezeOSAV LinuxOS Version6.0.3
Product VersionRecent git 
Target VersionFixed in Version0.9.10 
Summary0003319: Compilation of Kdenlive 0.9.8 fails on AV Linux (based on Debian Squeeze)
DescriptionHi,

Attempting to compile and package the latest 0.9.8 release for AV Linux and running into compilation problems. The problems appear to be QT4 related and a guess is that the mature 4.6.3 QT4 version in AV Linux is lacking API features in newer QT4 versions. I hope this can be worked around since Kdenlive still specs 4.6.3 as a valid build dependency.

A second question I have is what the importance of Nepomuk support in Kdenlive isin a non-KDE4 Desktop Environment like XFCE4?
Steps To ReproduceDownload official 0.9.8 tarball and attempt to compile on AV Linux 6.0.3..

*Attached below are the configure output and the actual compilation error
Additional InformationCONFIGURE OUTPUT:

glen@av602xfce4:/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/kdenlive-0.9.8avlinux6$ cmake .. -DCMAKE_INSTALL_PREFIX=/usr
-- The C compiler identification is GNU 4.7.2
-- The CXX compiler identification is GNU 4.7.2
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Looking for include file malloc.h
-- Looking for include file malloc.h - found
-- Looking for include file pthread.h
-- Looking for include file pthread.h - found
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.6.3 (using /usr/bin/qmake)
-- Looking for XOpenDisplay in /usr/lib/i386-linux-gnu/libX11.so;/usr/lib/libXext.so;/usr/lib/libXft.so;/usr/lib/libXau.so;/usr/lib/libXdmcp.so;/usr/lib/libXpm.so
-- Looking for XOpenDisplay in /usr/lib/i386-linux-gnu/libX11.so;/usr/lib/libXext.so;/usr/lib/libXft.so;/usr/lib/libXau.so;/usr/lib/libXdmcp.so;/usr/lib/libXpm.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib/i386-linux-gnu/libX11.so
-- Looking for include file pthread.h
-- Looking for include file pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found.
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE
-- Looking for _POSIX_TIMERS
-- Looking for _POSIX_TIMERS - found
-- Found Automoc4: /usr/bin/automoc4
-- Found Perl: /usr/bin/perl (found version "5.10.1")
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CheckCXXCompilerFlag.cmake:24 (INCLUDE):
  File /usr/share/cmake-2.8/Modules/CheckCXXCompilerFlag.cmake includes
  /usr/share/kde4/apps/cmake/modules/CheckCXXSourceCompiles.cmake (found via
  CMAKE_MODULE_PATH) which shadows
  /usr/share/cmake-2.8/Modules/CheckCXXSourceCompiles.cmake. This may cause
  errors later on .

  Policy CMP0017 is not set: Prefer files from the CMake module directory
  when including from there. Run "cmake --help-policy CMP0017" for policy
  details. Use the cmake_policy command to set the policy and suppress this
  warning.
Call Stack (most recent call first):
  /usr/share/kde4/apps/cmake/modules/FindKDE4Internal.cmake:406 (include)
  /usr/share/cmake-2.8/Modules/FindKDE4.cmake:95 (FIND_PACKAGE)
  CMakeLists.txt:52 (find_package)
This warning is for project developers. Use -Wno-dev to suppress it.

-- Phonon Version: 4.4.2
-- Found Phonon: /usr/lib/libphonon.so
-- Found Phonon Includes: /usr/include/KDE;/usr/include
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Failed
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Found KDE 4.4 include dir: /usr/include
-- Found KDE 4.4 library dir: /usr/lib
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- Found Qt-Version 4.6.3 (using /usr/bin/qmake)
-- Found X11: /usr/lib/i386-linux-gnu/libX11.so
-- Looking for dgettext
-- Looking for dgettext - found
-- Found Gettext: built in libc
-- Found OpenGL: /usr/lib/i386-linux-gnu/libGL.so
-- Found Soprano: /usr/include
-- Found SharedDesktopOntologies: /usr/share/ontology
-- Found Nepomuk: /usr/lib/libnepomuk.so
-- checking for module 'QJson>=0.5'
-- found QJson, version 0.7.1
-- Found QJSON: qjson;QtCore
-- Found LibV4L2: /usr/include
-- Looking for include file linux/input.h
-- Looking for include file linux/input.h - found
-- Found shared-mime-info version: 0.71

-----------------------------------------------------------------------------
-- The following external packages were located on your system.
-- This installation will have the extra features provided by these packages.
-----------------------------------------------------------------------------
   * KDELibs - KDE core libraries
   * Soprano - Semantic Desktop Storing
   * Shared desktop ontologies - Desktop ontologies
   * libv4l - Collection of video4linux support libraries
   * QtOpenGL - Qt bindings for the OpenGL library
   * QtScript - Qt module providing core scripting facilities
   * Nepomuk - Support for the Nepomuk semantic desktop system
   * QJson - Qt-based library that maps JSON data to QVariant objects

-----------------------------------------------------------------------------
-- Congratulations! All external packages have been found.
-----------------------------------------------------------------------------

-- Configuring done
-- Generating done
-- Build files have been written to: /media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/kdenlive-0.9.8avlinux6
glen@av602xfce4:/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/kdenlive-0.9.8avlinux6$


COMPILATION ERROR:

[ 71%] Building CXX object src/CMakeFiles/kdenlive.dir/widgets/titlewidget.o
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp: In constructor ‘TitleWidget::TitleWidget(const KUrl&, const Timecode&, const QString&, Render*, QWidget*)’:
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:92:5: error: ‘rectBAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:98:5: error: ‘rectFAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:107:5: error: ‘textAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:113:5: error: ‘textOutlineAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp: In member function ‘void TitleWidget::slotNewRect(QGraphicsRectItem*)’:
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:907:16: error: ‘rectFAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:915:16: error: ‘rectBAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp: In member function ‘void TitleWidget::slotNewText(QGraphicsTextItem*)’:
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:940:20: error: ‘textAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:941:27: error: ‘textOutlineAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp: In member function ‘void TitleWidget::slotUpdateText()’:
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:1566:20: error: ‘textAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:1567:27: error: ‘textOutlineAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp: In member function ‘void TitleWidget::rectChanged()’:
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:1624:24: error: ‘rectFAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:1632:24: error: ‘rectBAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp: In member function ‘void TitleWidget::writeChoices()’:
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:1999:53: error: ‘rectBAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:2000:53: error: ‘rectFAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp: In member function ‘void TitleWidget::readChoices()’:
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:2028:5: error: ‘textAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:2029:5: error: ‘textOutlineAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:2049:5: error: ‘rectFAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:2050:5: error: ‘rectBAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp: In member function ‘void TitleWidget::prepareTools(QGraphicsItem*)’:
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:2610:17: error: ‘textAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:2644:21: error: ‘textOutlineAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:2704:17: error: ‘rectFAlpha’ was not declared in this scope
/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/src/widgets/titlewidget.cpp:2705:17: error: ‘rectBAlpha’ was not declared in this scope
make[2]: *** [src/CMakeFiles/kdenlive.dir/widgets/titlewidget.o] Error 1
make[1]: *** [src/CMakeFiles/kdenlive.dir/all] Error 2
make: *** [all] Error 2
glen@av602xfce4:/media/DATA/Packaging/KDENLIVE/kdenlive-0.9.8/kdenlive-0.9.8avlinux6$


TagsNo tags attached.
Build/Install MethodManual build from release
Attached Files

- Relationships

-  Notes
(0010125)
GMaq (reporter)
2014-07-08 05:24

Nobody is going to pick up the phone on this ?!
(0010182)
vpinon (administrator)
2014-08-05 23:10

Hello,

Sorry for being late to handle your simple problem...
Just committed the change to re-enable this compilation (not checked in real environment), can you test building git master and tell me if it's OK for you?
(0010204)
GMaq (reporter)
2014-08-06 01:21

Hi,

Thanks very much for taking the time to answer and look into the problem. Your time is appreciated!

I've run into a CMake error right off the top that I think relates to nepomuk, Hopefully it isn't major however it prevents me from getting started to test the new changes in a proper compilation..

Here is the error:

CMake Error at src/CMakeLists.txt:69 (set_package_properties):
   Unknown CMake command "set_package_properties".
(0010208)
GMaq (reporter)
2014-08-07 05:41

Hi,

OK if I comment out line 68 and 69 in src/CMakeLists.txt then CMake will finish the configure stage and allow me to compile Kdenlive. The resulting compilation is successful and produces a running Kdenlive 0.9.8!

Thanks very much for making the changes!
(0010257)
vpinon (administrator)
2014-08-19 23:10

fixed CMake issue as well

- Issue History
Date Modified Username Field Change
2014-06-09 06:19 GMaq New Issue
2014-07-08 05:24 GMaq Note Added: 0010125
2014-08-05 23:10 vpinon Note Added: 0010182
2014-08-05 23:10 vpinon Assigned To => vpinon
2014-08-05 23:10 vpinon Status new => feedback
2014-08-06 01:21 GMaq Note Added: 0010204
2014-08-06 01:21 GMaq Status feedback => assigned
2014-08-07 05:41 GMaq Note Added: 0010208
2014-08-19 23:10 vpinon Note Added: 0010257
2014-08-19 23:10 vpinon Status assigned => resolved
2014-08-19 23:10 vpinon Fixed in Version => 0.9.10
2014-08-19 23:10 vpinon Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker